/*
 * xpsk31: An application to transmit and receive
 *  PSK31 signals using a computer's sound card
 *
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef DISPLAY_H
#define DISPLAY_H	1

#include <math.h>
#include "common.h"
#include "support.h"

/* Receive and Transmit status indicators */
#define RECV_OFF      _("<span background=\"lightgrey\"> RECEIVE (OFF) </span>")
#define RECV_BPSK     _("<span background=\"green\" foreground=\"white\"> RECEIVE (BPSK) </span>")
#define RECV_QPSK_USB _("<span background=\"green\" foreground=\"white\"> RECEIVE (QPSK-USB) </span>")
#define RECV_QPSK_LSB _("<span background=\"green\" foreground=\"white\"> RECEIVE (QPSK-LSB) </span>")
#define XMIT_OFF      _("<span background=\"lightgrey\"> TRANSMIT (OFF) </span>")
#define XMIT_BPSK     _("<span background=\"red\" foreground=\"white\"> TRANSMIT (BPSK) </span>")
#define XMIT_QPSK_USB _("<span background=\"red\" foreground=\"white\"> TRANSMIT (QPSK-USB) </span>")
#define XMIT_QPSK_LSB _("<span  background=\"red\" foreground=\"white\"> TRANSMIT (QPSK-LSB) </span>")

/* Length and multiplier of amplitude averaging window  */
#define AMPL_AVE_WIN		2
#define AMPL_AVE_MUL		1

#endif

