/*  shared.c
 *
 *  Shared global variables of xpsk31
 */

/*
 *  xpsk31: An application to transmit and receive
 *  PSK31 signals using a computer's sound card
 *
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#include "shared.h"

/*------------------------------------------------------------------------*/

/* Runtime config data */
rc_data_t rc_data;

/* dft in/out buffers */
int
  *dft_in_r  = NULL,
  *dft_out_r = NULL,
  *dft_out_i = NULL;

/* Global widgets */
GtkWidget
  *main_window		= NULL,
  *gbl_rx_scrolledwindow = NULL,
  *gbl_tx_scrolledwindow = NULL,
  *gbl_scope		= NULL,
  *gbl_scope_label	= NULL,
  *gbl_popup_menu	= NULL;

/* Average value of DFT bins */
int *gbl_bin_ave = NULL;

/* Text buffers for text viewers */
GtkTextBuffer
  *gbl_rx_text_buffer = NULL,
  *gbl_tx_text_buffer = NULL;

/* Pixbuffer for waterfall */
GdkPixbuf *gbl_wfall_pixbuf = NULL;
guchar    *gbl_wfall_pixels = NULL;
gint
  gbl_wfall_rowstride,
  gbl_wfall_n_channels,
  gbl_wfall_width,
  gbl_wfall_height;

FILE
  /* File for recording QSO's */
  *qso_record_fp,
  /* File for ADIF QSO record */
  *adif_log_fp,
  /* File for station log */
  *station_log_fp;

/* QSO data record */
qso_record_t qso_record;

/* Index to macros */
int gbl_macro_idx;

/* Keyboard entry buffer */
guint key_buff[KEY_BUFF_SIZE];

/* Keystrokes counter */
int key_cnt = 0;

/* Count characters entered at keyboard */
int char_cnt = 0;

/* Receive freq error correction factor */
double freq_error = 0.0;

/* Macros attached to F1-F10  */
char *macro[NUM_OF_LABELS];

/* Signal samples buffer */
unsigned char *dsp_buff = NULL;

/* Xmit DSP signal samples buffer */
short *xmit_buffer = NULL;

/* Xmit DSP signal samples buffer size */
int xmit_buf_size;

/*------------------------------------------------------------------------*/

