/*
 * xpsk31: An application to transmit and receive
 *  PSK31 signals using a computer's sound card
 *
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef SHARED_H
#define SHARED_H	1

#include "common.h"

/*------------------------------------------------------------------------*/

/* Runtime config data */
extern rc_data_t rc_data;

/* dft in/out buffers */
extern int
  *dft_in_r,
  *dft_out_r,
  *dft_out_i;

/* Main window and menu */
extern GtkWidget
  *main_window,
  *gbl_popup_menu,
  *gbl_rx_scrolledwindow,
  *gbl_tx_scrolledwindow,
  *gbl_scope,
  *gbl_drawingarea,
  *gbl_scope_label,
  *gbl_popup_menu;

extern int *gbl_bin_ave;

/* Text buffers for text viewers */
extern GtkTextBuffer
  *gbl_rx_text_buffer,
  *gbl_tx_text_buffer;

/* Pixbuffer for waterfall */
extern GdkPixbuf *gbl_wfall_pixbuf;
extern guchar    *gbl_wfall_pixels;
extern gint
  gbl_wfall_rowstride,
  gbl_wfall_n_channels,
  gbl_wfall_width,
  gbl_wfall_height;

/* File variables */
extern FILE
  /* File for recording QSO's */
  *qso_record_fp,
  /* File for ADIF QSO record */
  *adif_log_fp,
  /* File for station log */
  *station_log_fp;

/* QSO data record */
extern qso_record_t qso_record;

/* Index to macros */
extern int gbl_macro_idx;

/* Keyboard entry buffer */
#define KEY_BUFF_SIZE	512
extern guint key_buff[KEY_BUFF_SIZE];

/* Keystrokes counter */
extern int key_cnt;

/* Count characters entered at keyboard */
extern int char_cnt;

/* Receive freq error correction factor */
extern double freq_error;

/* Macros attached to F1-F10  */
extern char *macro[NUM_OF_LABELS];

/* Signal samples buffer */
extern unsigned char *dsp_buff;

/* Xmit DSP signal samples buffer */
extern short *xmit_buffer;

/* Xmit DSP signal samples buffer size */
extern int xmit_buf_size;

/*------------------------------------------------------------------------*/

#endif

